Package ghidra.app.util.bin.format.macho

# Class MachConstants

java.lang.Object
ghidra.app.util.bin.format.macho.MachConstants

public final class MachConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DATA_TYPE_CATEGORY`
  `static final int`
  `MH_CIGAM`
  Intel x86 32-bit Magic Number
  `static final int`
  `MH_CIGAM_64`
  Intel x86 64-bit Magic Number
  `static final int`
  `MH_MAGIC`
  PowerPC 32-bit Magic Number
  `static final int`
  `MH_MAGIC_64`
  PowerPC 64-bit Magic Number
  `static final int`
  `NAME_LENGTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MachConstants()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final boolean`
  `isMagic(int magic)`
  Convenience method for matching the magic number

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MH_MAGIC

    public static final int MH_MAGIC
    PowerPC 32-bit Magic Number
    See Also:
      - Constant Field Values

  - ### MH_MAGIC_64

    public static final int MH_MAGIC_64
    PowerPC 64-bit Magic Number
    See Also:
      - Constant Field Values

  - ### MH_CIGAM

    public static final int MH_CIGAM
    Intel x86 32-bit Magic Number
    See Also:
      - Constant Field Values

  - ### MH_CIGAM_64

    public static final int MH_CIGAM_64
    Intel x86 64-bit Magic Number
    See Also:
      - Constant Field Values

  - ### NAME_LENGTH

    public static final int NAME_LENGTH
    See Also:
      - Constant Field Values

  - ### DATA_TYPE_CATEGORY

    public static final String DATA_TYPE_CATEGORY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MachConstants

    public MachConstants()

- ## Method Details

  - ### isMagic

    public static final boolean isMagic(int magic)
    Convenience method for matching the magic number
    Parameters:
      `magic` - the magic number read from the file
    Returns:
      true if the magic number matches